Subject: Re: linux-next: manual merge of the wireless-next tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 20 Oct 2022 04:14:40 +1100

Hi Jakub,

On Wed, 19 Oct 2022 16:23:24 -0700 Jakub Kicinski <[email-masked]> wrote:
>
> On Thu, 20 Oct 2022 03:23:40 +1100 Stephen Rothwell wrote:
> > Today's linux-next merge of the wireless-next tree got a conflict in:
> > 
> >   net/mac80211/util.c
> > 
> > between commit:
> > 
> >   ff05d4b45dd8 ("wifi: mac80211: fix MBSSID parsing use-after-free")
> > 
> > from the origin tree and commit:
> > 
> >   ff05d4b45dd8 ("wifi: mac80211: fix MBSSID parsing use-after-free")  

This should have been commit

  45ebac4f059b ("wifi: mac80211: Parse station profile from association response")

> Dunno if this is a glitch or real problem. But it reminds me - I see
> there is direct wireless -> wireless-next merge without going via
> Linus's tree. I think you may have mentioned it to us, but not sure
> if I said this clearly - let's try to avoid such merges. Linus certainly
> doesn't like when we do net -> net-next merges without sending net to
> him first and forwarding. I'm not 100% sure why (maybe Steven knows)
> - whether it's an aesthetic thing or avoiding real issues thing, but
> either way it's _a_ thing :S

Has Linus really complained about you merging the net tree into the
net-next tree?  The only reason that would be a problem is if (as
happened only once that I remember) Linus rejects the net tree merge
due to some problem.  So, yes, wait until after the net (or wireless)
tree has been merged by Linus, but then there should be no reason to
not just merge the net tree (rather than Linus' tree).

-- 
Cheers,
Stephen Rothwell